import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:hub/flutter_flow/flutter_flow_theme.dart';
import 'package:hub/flutter_flow/flutter_flow_util.dart';
import 'package:hub/shared/utils/limited_text_size.dart';

class AtomTermsOfUse extends StatelessWidget {
  const AtomTermsOfUse({super.key});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      child: Text(
        FFLocalizations.of(context).getText(
          'olf967cj' /* Termo de Uso */,
        ),
        style: FlutterFlowTheme.of(context).bodyMedium.override(
              fontFamily: FlutterFlowTheme.of(context).bodyMediumFamily,
              color: FlutterFlowTheme.of(context).primaryText,
              fontSize: LimitedFontSizeUtil.getInputFontSize(context),
              letterSpacing: 0.0,
              useGoogleFonts: GoogleFonts.asMap()
                  .containsKey(FlutterFlowTheme.of(context).bodyMediumFamily),
            ),
      ),
      onTap: () => launchURL('https://freaccess.com.br/pp'),
    );
  }
}
